#
# spec file for package python-ravello-sdk
#
# Copyright (c) 2017 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           python-ravello-sdk
Version:        2.4
Release:        1.1
Summary:        Python SDK for the Ravello API
License:        Apache-2.0
Group:          Development/Languages/Python
Url:            https://github.com/ravello/python-sdk
Source:         https://pypi.io/packages/source/r/ravello-sdk/ravello-sdk-%{version}.tar.gz
BuildRequires:  python-devel
BuildRequires:  python-docopt
BuildRequires:  python-requests >= 2.6.0
BuildRequires:  python-setuptools
BuildRequires:  python-six
Requires:       python-docopt
Requires:       python-requests >= 2.6.0
Requires:       python-six
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
%if 0%{?suse_version} && 0%{?suse_version} <= 1110
%{!?python_sitelib: %global python_sitelib %(python -c "from distutils.sysconfig import get_python_lib; print get_python_lib()")}
BuildRequires:  python-unittest2
%else
BuildArch:      noarch
%endif

%description
This is a micro-SDK for accessing the Ravello API in Python. It also contains
a few useful utility scripts.

%prep
%setup -q -n ravello-sdk-%{version}

%build
python setup.py build

%install
python setup.py install --prefix=%{_prefix} --root=%{buildroot}

%check
python tests/unit.py

%files
%defattr(-,root,root,-)
%doc LICENSE README.rst
%{python_sitelib}/*

%changelog
* Wed Jul  5 2017 sean.marlow@suse.com
- Update to v2.4 2017-07-05 (bsc#1047582)
  - Added api call to get storage charges for bp.
  - Update get_detailed_charges_for_blueprint() args, error
    handling and desc.
  - Remove ;design from POST.
* Wed Feb 22 2017 sean.marlow@suse.com
- Update to 2.3 2017-02-22
  - Add share API.
- Update to 2.2 2017-02-22
  - Add cost bucket and cost alert definition calls (beta feature).
* Mon Feb  6 2017 sean.marlow@suse.com
- Remove python-invoke build requirement. This is only a dev
  requirement.
- Add package to SLE-12 codestream (bsc#1018964, fate#322319)
* Tue Dec  6 2016 sean.marlow@suse.com
- Add BuildRequires unittest2 for SLE 11 and earlier.
- Fix SLE_11_SP4 build warning. Package should not obsolete itself.
* Mon Nov 21 2016 sean.marlow@suse.com
- Initial package (2.1)
